diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket.h ns-3.44/src/internet/model/tcp-socket.h
--- ns-3.43/src/internet/model/tcp-socket.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket.h	2025-03-09 16:55:49.411371200 -0700
@@ -25,10 +25,10 @@
 class Packet;
 
 /**
- * \ingroup socket
- * \ingroup tcp
+ * @ingroup socket
+ * @ingroup tcp
  *
- * \brief (abstract) base class of all TcpSockets
+ * @brief (abstract) base class of all TcpSockets
  *
  * This class exists solely for hosting TcpSocket attributes that can
  * be reused across different implementations.
@@ -38,8 +38,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -47,8 +47,8 @@
     ~TcpSocket() override;
 
     /**
-     * \ingroup tcp
-     * \brief Names of the 11 TCP states
+     * @ingroup tcp
+     * @brief Names of the 11 TCP states
      *
      */
     enum TcpStates_t
@@ -79,7 +79,7 @@
     };
 
     /**
-     * \brief Literal names of TCP states for use in log messages
+     * @brief Literal names of TCP states for use in log messages
      */
     static const char* const TcpStateName[TcpSocket::LAST_STATE];
 
@@ -87,166 +87,166 @@
     // Indirect the attribute setting and getting through private virtual methods
 
     /**
-     * \brief Set the send buffer size.
-     * \param size the buffer size (in bytes)
+     * @brief Set the send buffer size.
+     * @param size the buffer size (in bytes)
      */
     virtual void SetSndBufSize(uint32_t size) = 0;
 
     /**
-     * \brief Get the send buffer size.
-     * \returns the buffer size (in bytes)
+     * @brief Get the send buffer size.
+     * @returns the buffer size (in bytes)
      */
     virtual uint32_t GetSndBufSize() const = 0;
 
     /**
-     * \brief Set the receive buffer size.
-     * \param size the buffer size (in bytes)
+     * @brief Set the receive buffer size.
+     * @param size the buffer size (in bytes)
      */
     virtual void SetRcvBufSize(uint32_t size) = 0;
 
     /**
-     * \brief Get the receive buffer size.
-     * \returns the buffer size (in bytes)
+     * @brief Get the receive buffer size.
+     * @returns the buffer size (in bytes)
      */
     virtual uint32_t GetRcvBufSize() const = 0;
 
     /**
-     * \brief Set the segment size.
-     * \param size the segment size (in bytes)
+     * @brief Set the segment size.
+     * @param size the segment size (in bytes)
      */
     virtual void SetSegSize(uint32_t size) = 0;
 
     /**
-     * \brief Get the segment size.
-     * \returns the segment size (in bytes)
+     * @brief Get the segment size.
+     * @returns the segment size (in bytes)
      */
     virtual uint32_t GetSegSize() const = 0;
 
     /**
-     * \brief Set the initial Slow Start Threshold.
-     * \param threshold the Slow Start Threshold (in bytes)
+     * @brief Set the initial Slow Start Threshold.
+     * @param threshold the Slow Start Threshold (in bytes)
      */
     virtual void SetInitialSSThresh(uint32_t threshold) = 0;
 
     /**
-     * \brief Get the initial Slow Start Threshold.
-     * \returns the Slow Start Threshold (in bytes)
+     * @brief Get the initial Slow Start Threshold.
+     * @returns the Slow Start Threshold (in bytes)
      */
     virtual uint32_t GetInitialSSThresh() const = 0;
 
     /**
-     * \brief Set the initial Congestion Window.
-     * \param cwnd the initial congestion window (in segments)
+     * @brief Set the initial Congestion Window.
+     * @param cwnd the initial congestion window (in segments)
      */
     virtual void SetInitialCwnd(uint32_t cwnd) = 0;
 
     /**
-     * \brief Get the initial Congestion Window.
-     * \returns the initial congestion window (in segments)
+     * @brief Get the initial Congestion Window.
+     * @returns the initial congestion window (in segments)
      */
     virtual uint32_t GetInitialCwnd() const = 0;
 
     /**
-     * \brief Set the connection timeout.
-     * \param timeout the connection timeout
+     * @brief Set the connection timeout.
+     * @param timeout the connection timeout
      */
     virtual void SetConnTimeout(Time timeout) = 0;
 
     /**
-     * \brief Get the connection timeout.
-     * \returns the connection timeout
+     * @brief Get the connection timeout.
+     * @returns the connection timeout
      */
     virtual Time GetConnTimeout() const = 0;
 
     /**
-     * \brief Set the number of connection retries before giving up.
-     * \param count the number of connection retries
+     * @brief Set the number of connection retries before giving up.
+     * @param count the number of connection retries
      */
     virtual void SetSynRetries(uint32_t count) = 0;
 
     /**
-     * \brief Get the number of connection retries before giving up.
-     * \returns the number of connection retries
+     * @brief Get the number of connection retries before giving up.
+     * @returns the number of connection retries
      */
     virtual uint32_t GetSynRetries() const = 0;
 
     /**
-     * \brief Set the number of data transmission retries before giving up.
-     * \param retries the number of data transmission retries
+     * @brief Set the number of data transmission retries before giving up.
+     * @param retries the number of data transmission retries
      */
     virtual void SetDataRetries(uint32_t retries) = 0;
 
     /**
-     * \brief Get the number of data transmission retries before giving up.
-     * \returns the number of data transmission retries
+     * @brief Get the number of data transmission retries before giving up.
+     * @returns the number of data transmission retries
      */
     virtual uint32_t GetDataRetries() const = 0;
 
     /**
-     * \brief Set the time to delay an ACK.
-     * \param timeout the time to delay an ACK
+     * @brief Set the time to delay an ACK.
+     * @param timeout the time to delay an ACK
      */
     virtual void SetDelAckTimeout(Time timeout) = 0;
 
     /**
-     * \brief Get the time to delay an ACK.
-     * \returns the time to delay an ACK
+     * @brief Get the time to delay an ACK.
+     * @returns the time to delay an ACK
      */
     virtual Time GetDelAckTimeout() const = 0;
 
     /**
-     * \brief Set the number of packet to fire an ACK before delay timeout.
-     * \param count the umber of packet to fire an ACK before delay timeout
+     * @brief Set the number of packet to fire an ACK before delay timeout.
+     * @param count the umber of packet to fire an ACK before delay timeout
      */
     virtual void SetDelAckMaxCount(uint32_t count) = 0;
 
     /**
-     * \brief Get the number of packet to fire an ACK before delay timeout.
-     * \returns the number of packet to fire an ACK before delay timeout
+     * @brief Get the number of packet to fire an ACK before delay timeout.
+     * @returns the number of packet to fire an ACK before delay timeout
      */
     virtual uint32_t GetDelAckMaxCount() const = 0;
 
     /**
-     * \brief Enable/Disable Nagle's algorithm.
-     * \param noDelay true to DISABLE Nagle's algorithm
+     * @brief Enable/Disable Nagle's algorithm.
+     * @param noDelay true to DISABLE Nagle's algorithm
      */
     virtual void SetTcpNoDelay(bool noDelay) = 0;
 
     /**
-     * \brief Check if Nagle's algorithm is enabled or not.
-     * \returns true if Nagle's algorithm is DISABLED
+     * @brief Check if Nagle's algorithm is enabled or not.
+     * @returns true if Nagle's algorithm is DISABLED
      */
     virtual bool GetTcpNoDelay() const = 0;
 
     /**
-     * \brief Set the timeout for persistent connection
+     * @brief Set the timeout for persistent connection
      *
      * When the timeout expires, send 1-byte data to probe for the window
      * size at the receiver when the local knowledge tells that the
      * receiver has zero window size
      *
-     * \param timeout the persistent timeout
+     * @param timeout the persistent timeout
      */
     virtual void SetPersistTimeout(Time timeout) = 0;
 
     /**
-     * \brief Get the timeout for persistent connection
+     * @brief Get the timeout for persistent connection
      *
      * When the timeout expires, send 1-byte data to probe for the window
      * size at the receiver when the local knowledge tells that the
      * receiver has zero window size
      *
-     * \returns the persistent timeout
+     * @returns the persistent timeout
      */
     virtual Time GetPersistTimeout() const = 0;
 };
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  * TracedValue Callback signature for TcpStates_t
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*TcpStatesTracedValueCallback)(const TcpSocket::TcpStates_t oldValue,
                                              const TcpSocket::TcpStates_t newValue);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket-state.h ns-3.44/src/internet/model/tcp-socket-state.h
--- ns-3.43/src/internet/model/tcp-socket-state.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket-state.h	2025-03-09 16:55:49.411371200 -0700
@@ -9,6 +9,7 @@
 #include "tcp-rx-buffer.h"
 
 #include "ns3/data-rate.h"
+#include "ns3/internet-export.h"
 #include "ns3/object.h"
 #include "ns3/sequence-number.h"
 #include "ns3/traced-value.h"
@@ -17,7 +18,7 @@
 {
 
 /**
- * \brief Data structure that records the congestion state of a connection
+ * @brief Data structure that records the congestion state of a connection
  *
  * In this data structure, basic information that should be passed between
  * socket and the congestion control algorithm are saved. Through the code,
@@ -33,13 +34,13 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief TcpSocketState Constructor
+     * @brief TcpSocketState Constructor
      */
     TcpSocketState()
         : Object()
@@ -47,13 +48,13 @@
     }
 
     /**
-     * \brief Copy constructor.
-     * \param other object to copy.
+     * @brief Copy constructor.
+     * @param other object to copy.
      */
     TcpSocketState(const TcpSocketState& other);
 
     /**
-     * \brief Definition of the Congestion state machine
+     * @brief Definition of the Congestion state machine
      *
      * The design of this state machine is taken from Linux v4.0, but it has been
      * maintained in the Linux mainline from ages. It basically avoids to maintain
@@ -81,7 +82,7 @@
 
     // Note: "not triggered" events are currently not triggered by the code.
     /**
-     * \brief Congestion avoidance events
+     * @brief Congestion avoidance events
      */
     enum TcpCAEvent_t
     {
@@ -96,7 +97,7 @@
     };
 
     /**
-     * \brief Parameter value related to ECN enable/disable functionality
+     * @brief Parameter value related to ECN enable/disable functionality
      *        similar to sysctl for tcp_ecn. Currently value 2 from
      *        https://www.kernel.org/doc/Documentation/networking/ip-sysctl.txt
      *        is not implemented.
@@ -109,7 +110,7 @@
     };
 
     /**
-     * \brief ECN code points
+     * @brief ECN code points
      */
     enum EcnCodePoint_t
     {
@@ -120,7 +121,7 @@
     };
 
     /**
-     * \brief ECN Modes
+     * @brief ECN Modes
      */
     enum EcnMode_t
     {
@@ -130,7 +131,7 @@
     };
 
     /**
-     * \brief Definition of the Ecn state machine
+     * @brief Definition of the Ecn state machine
      *
      */
     enum EcnState_t
@@ -146,14 +147,14 @@
     };
 
     /**
-     * \brief Literal names of TCP states for use in log messages
+     * @brief Literal names of TCP states for use in log messages
      */
-    static const char* const TcpCongStateName[TcpSocketState::CA_LAST_STATE];
+    INTERNET_EXPORT static const char* const TcpCongStateName[TcpSocketState::CA_LAST_STATE];
 
     /**
-     * \brief Literal names of ECN states for use in log messages
+     * @brief Literal names of ECN states for use in log messages
      */
-    static const char* const EcnStateName[TcpSocketState::ECN_CWR_SENT + 1];
+    INTERNET_EXPORT static const char* const EcnStateName[TcpSocketState::ECN_CWR_SENT + 1];
 
     // Congestion control
     TracedValue<uint32_t> m_cWnd{0}; //!< Congestion window
@@ -212,9 +213,9 @@
             //!< is similar to acked_sacked variable in Linux
 
     /**
-     * \brief Get cwnd in segments rather than bytes
+     * @brief Get cwnd in segments rather than bytes
      *
-     * \return Congestion window in segments
+     * @return Congestion window in segments
      */
     uint32_t GetCwndInSegments() const
     {
@@ -222,9 +223,9 @@
     }
 
     /**
-     * \brief Get slow start thresh in segments rather than bytes
+     * @brief Get slow start thresh in segments rather than bytes
      *
-     * \return Slow start threshold in segments
+     * @return Slow start threshold in segments
      */
     uint32_t GetSsThreshInSegments() const
     {
@@ -241,21 +242,21 @@
 {
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  * TracedValue Callback signature for TcpCongState_t
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*TcpCongState)(const TcpSocketState::TcpCongState_t oldValue,
                              const TcpSocketState::TcpCongState_t newValue);
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  * TracedValue Callback signature for EcnState_t
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*EcnState)(const TcpSocketState::EcnState_t oldValue,
                          const TcpSocketState::EcnState_t newValue);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-tx-buffer.cc ns-3.44/src/internet/model/tcp-tx-buffer.cc
--- ns-3.43/src/internet/model/tcp-tx-buffer.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-tx-buffer.cc	2025-03-09 16:55:49.411371200 -0700
@@ -23,8 +23,6 @@
 NS_LOG_COMPONENT_DEFINE("TcpTxBuffer");
 NS_OBJECT_ENSURE_REGISTERED(TcpTxBuffer);
 
-Callback<void, TcpTxItem*> TcpTxBuffer::m_nullCb = MakeNullCallback<void, TcpTxItem*>();
-
 TypeId
 TcpTxBuffer::GetTypeId()
 {
